Subject: bug#65356: 30.0.50; [wishlist] Support Tramp method, user name and host name completion in eshell

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Aug 2023 18:33:18 -0400

> Yes. However, there is already another problem in shell-mode. My patch
> completes only incomplete Tramp file names, like "/ss". Complete Tramp
> file names are handled by pcomplete-dirs already. So we see in a *shell*
> buffer, w/o my patch:

Good point.

Still, we have the problem that `pcomplete/<CMD>` should be used only
for external commands (because they are independent from the language
used to write the command, a.k.a the shell), but for things like `cd` we
should be more precise to distinguish the completion rules for Eshell's
`cd` from those of bash's `cd`.

        Stefan